Bug 260321 - [SOLUTION] grub regression when rebuild it under F7
[SOLUTION] grub regression when rebuild it under F7
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
All All
medium Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-28 10:34 EDT by Andy Shevchenko
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-28 10:40:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andy Shevchenko 2007-08-28 10:34:39 EDT
Description of problem:
The native F7 grub has regression after rebuild in _native_ (F7) environment.
The graphics module does not compiled due to changes autoreconf --force --
install to just autoconf.

Version-Release number of selected component (if applicable):
Official F7 grub package.

How reproducible:

Steps to Reproduce:
1. Rebuild in F7 environment
2. run next
# dd if=/dev/zero of=/dev/<hdX> bs=446 count=1 (hdX - your boot device's MBR)
# grub
 grub> root (hdX,Y) <- put your root partition and device
 grub> setup (hdX)
# reboot
3. After grub is ran switch to command line and try
 grub> terminal graphics

Additional info:
Two things to fix this issue:
1. autoconf -> autoreconf --force --install (grub-*graphics.patch does not 
patch Makefile.in, but Makefile.am)
2. Add to the grub-*graphics.patch following lines (autotools 1.10 
--- grub-0.95/configure.ac.graphics    2004-06-18 17:35:52.211011632 -0400
+++ grub-0.95/configure.ac     2004-06-18 17:35:52.498967856 -0400
@@ -56,6 +56,8 @@

 # We need this for older versions of Autoconf.
Comment 1 Andy Shevchenko 2007-08-28 10:40:23 EDT
It is mistake here. The F7 uses grub-0.97-13. I'm trying with 0.97-14.

Note You need to log in before you can comment on or make changes to this bug.